-- -
-- #%L
-- %%
-- Copyright (C) 2005 - 2021 Kuali, Inc. - All Rights Reserved
-- %%
-- You may use and modify this code under the terms of the Kuali, Inc.
-- Pre-Release License Agreement. You may not distribute it.
--
-- You should have received a copy of the Kuali, Inc. Pre-Release License
-- Agreement with this file. If not, please write to license@kuali.co.
-- #L%
-- -

DELIMITER /
CREATE TABLE IACUC_PROTOCOL_ACTIONS (	
  	IACUC_PROTOCOL_ACTION_ID DECIMAL(12,0), 
	PROTOCOL_NUMBER VARCHAR(20) NOT NULL, 
	SEQUENCE_NUMBER DECIMAL(4,0) NOT NULL, 
	SUBMISSION_NUMBER DECIMAL(4,0), 
	ACTION_ID DECIMAL(6,0) NOT NULL, 
	PROTOCOL_ACTION_TYPE_CODE VARCHAR(3) NOT NULL, 
	PROTOCOL_ID DECIMAL(12,0) NOT NULL, 
	SUBMISSION_ID_FK DECIMAL(12,0), 
	COMMENTS VARCHAR(2000), 
	ACTION_DATE DATE, 
	UPDATE_TIMESTAMP DATE, 
	UPDATE_USER VARCHAR(60), 
	VER_NBR DECIMAL(8,0) DEFAULT 1 NOT NULL, 
	ACTUAL_ACTION_DATE DATE, 
	OBJ_ID VARCHAR(36) NOT NULL, 
	PREV_SUBMISSION_STATUS_CODE VARCHAR(3), 
	SUBMISSION_TYPE_CODE VARCHAR(3), 
	PREV_PROTOCOL_STATUS_CODE VARCHAR(3), 
	FOLLOWUP_ACTION_CODE VARCHAR(3)
) ENGINE InnoDB CHARACTER SET utf8 COLLATE utf8_bin
/
ALTER TABLE IACUC_PROTOCOL_ACTIONS
ADD CONSTRAINT PK_IACUC_PROTOCOL_ACTIONS
PRIMARY KEY (IACUC_PROTOCOL_ACTION_ID)
/


DELIMITER ;
